#!/bin/sh

# Extracts fields from PyMessage output by name or number.
# Copyright (c) 2003 Peter A. Geer

if [[ -z $PYMESSAGE_DELIMITER ]] ; then
	PYMESSAGE_DELIMITER=':'
fi

if [[ "$1" == '-f' ]] ; then
	FLD_NO=$2
	DAT="$3"
	RET=`echo "$DAT" | cut -d $PYMESSAGE_DELIMITER -f $FLD_NO`
elif [[ "$1" == '--help' || "$1" == '-h' ]] ; then
	echo "Usage: $0 [-f field_num] | [-n] field_name string"
	exit 0
elif [[ "$1" == '-n' ]] ; then
	FLD_NAME="$2"
	DAT="$3"
	RET=` echo "$DAT" | sed "s/\(.*\)\($FLD_NAME=\)\([^$PYMESSAGE_DELIMITER]*\)\($PYMESSAGE_DELIMITER\?.*\)/\2\3/"`
else
	FLD_NAME="$1"
	DAT="$2"
	RET=` echo "$DAT" | sed "s/\(.*\)\($FLD_NAME=\)\([^$PYMESSAGE_DELIMITER]*\)\($PYMESSAGE_DELIMITER\?.*\)/\3/"`
fi	

echo "$RET"
